Updates the job work instruction list with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
job_work_instruction_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of the jobs |
globally unique identifier |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs_reference_back_office |
Embedded entity "jobs" using ERP PK when adding/updating |
string |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| jobs |
Embedded entity "jobs" when adding/updating |
jobs |
Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided |
| work_instruction_details_id |
work instruction details id |
globally unique identifier | |
| work_instruction_details_reference_back_office |
Embedded code "work instruction details" when adding/updating |
string | |
| work_instruction_details |
Embedded entity "work instruction details" when adding/updating |
work_instruction_details | |
| user_id |
Filled by the person that completed that item on the checklist |
globally unique identifier | |
| work_instruction_action_type |
Value from work_instruction_action_type.name |
string | |
| work_instruction_id |
work instruction id |
globally unique identifier |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction_reference_back_office |
Embedded code "work instruction" when adding/updating |
string |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| work_instruction |
Embedded entity "work instruction" when adding/updating |
work_instruction |
Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided |
| name |
The "on what" |
string |
Required Max length: 4000 |
| status |
Status can be Ok,NotOk,Replaced,NotApplicable |
string |
Max length: 50 |
| date_done |
Datetime filled when status goes to one valable status. |
date | |
| remark |
Additional remark from the technician. |
string |
Max length: 255 |
| advise |
Additional advice from the technician. |
string |
Max length: 255 |
| sequence |
To order it. |
integer | |
| reference_back_office |
The Id/Ref of the back office for this job work instruction. Used by Embedded entity |
string |
Max length: 255 |
| group_name |
Name of the group |
string |
Max length: 4000 |
| group_sequence |
Order of the group |
integer | |
| type |
One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default |
string | |
| instruction_document_count |
Specify how many documents/photos must be added if type is Picture |
integer | |
| db_report_type_id |
When type is Form, you must specify which db_report_type must be filled |
globally unique identifier | |
| db_report_type_name |
When type is Form, you must specify which db_report_type must be filled |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "bab4c130-310a-4cea-94c2-9dd54ba2b4d7",
"jobs_id": "b18271c7-7042-487b-8d1f-a25594ca8ca3",
"jobs_reference_back_office": "sample string 3",
"jobs": {
"id": "d7e73172-c61b-47e5-bb6c-beb43274130e",
"_parent_id": "c1fb00e4-a5a9-443c-8626-84e1b1211d7b",
"_parent_jobs_reference_back_office": "sample string 3",
"project_id": "2fe375d7-c029-4f24-bf41-59647df2626f",
"project_reference_back_office": "sample string 5",
"project": {
"id": "ba66d17c-6657-4a43-be99-f3acf4c3f1c2",
"_parent_id": "79170c43-ea3c-418b-89c8-2ca60c2cca42",
"root_parent_id": "1e0e7241-46f1-4bb4-9687-017b83751428",
"_parent_reference_back_office": "sample string 4",
"equipment_family_id": "2a80d8d2-4b59-4cec-a1a1-541436c51644",
"equipment_family_code": "sample string 6",
"equipment_family": {
"id": "abf532d5-b6bc-4f06-82bd-60acaf261973",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "a6281b0a-5616-41bd-980a-5634d297b160",
"_parent_code": "sample string 6",
"sales_organization_id": "50a9b48f-6d43-48b1-a4ed-7fc7a6e0661d",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "5d81a14e-14af-4e31-b1e9-8e2fba74c10c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "e6880eec-1133-4bd6-ae14-bd2a90cf2555",
"db_currency_id": "6f3bab12-c452-4058-bcde-35ba7bdb0ccf",
"db_language_id": "899a1755-f163-48c0-b4b5-dbcc37f3f8cb",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-20T21:42:36.0745774+00:00"
},
"modified_dateutc": "2026-11-20T21:42:36.0745774+00:00"
},
"equipment_model_id": "2b09621a-dc85-4fa6-9a31-b2ea191d08f5",
"equipment_model_code": "sample string 8",
"equipment_model": {
"id": "a5236e4d-6fa1-48fe-8e40-da3619d14411",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"equipment_brand_id": "e90e1331-2a19-47ae-b798-95aba8a0b2d8",
"equipment_brand_code": "sample string 6",
"equipment_brand": {
"id": "5715929f-b544-4e49-b2e6-0afcc583356f",
"name": "sample string 2",
"code": "sample string 3",
"sales_organization_id": "cdba05c2-3f12-4e48-b446-41e0a795f6ef",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "5d81a14e-14af-4e31-b1e9-8e2fba74c10c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "e6880eec-1133-4bd6-ae14-bd2a90cf2555",
"db_currency_id": "6f3bab12-c452-4058-bcde-35ba7bdb0ccf",
"db_language_id": "899a1755-f163-48c0-b4b5-dbcc37f3f8cb",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-20T21:42:36.0745774+00:00"
},
"modified_dateutc": "2026-11-20T21:42:36.0745774+00:00"
},
"equipment_family_id": "d553d7c3-1583-42ee-8c2e-0da2e1dc652c",
"equipment_family_code": "sample string 8",
"equipment_family": {
"id": "abf532d5-b6bc-4f06-82bd-60acaf261973",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "a6281b0a-5616-41bd-980a-5634d297b160",
"_parent_code": "sample string 6",
"sales_organization_id": "50a9b48f-6d43-48b1-a4ed-7fc7a6e0661d",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "5d81a14e-14af-4e31-b1e9-8e2fba74c10c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "e6880eec-1133-4bd6-ae14-bd2a90cf2555",
"db_currency_id": "6f3bab12-c452-4058-bcde-35ba7bdb0ccf",
"db_language_id": "899a1755-f163-48c0-b4b5-dbcc37f3f8cb",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-20T21:42:36.0745774+00:00"
},
"modified_dateutc": "2026-11-20T21:42:36.0745774+00:00"
},
"date_in_production_since": "2026-11-20T21:42:36.0745774+00:00",
"date_out_of_production_since": "2026-11-20T21:42:36.0745774+00:00",
"date_end_support": "2026-11-20T21:42:36.0745774+00:00",
"sales_organization_id": "a0f6f33b-4075-4177-9fb1-c411840ea016",
"sales_organization_code": "sample string 13",
"sales_organization": {
"id": "5d81a14e-14af-4e31-b1e9-8e2fba74c10c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "e6880eec-1133-4bd6-ae14-bd2a90cf2555",
"db_currency_id": "6f3bab12-c452-4058-bcde-35ba7bdb0ccf",
"db_language_id": "899a1755-f163-48c0-b4b5-dbcc37f3f8cb",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-20T21:42:36.0745774+00:00"
},
"replacement_period_nb_months": 14,
"warranty_period_nb_months": 15,
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
],
"modified_dateutc": "2026-11-20T21:42:36.0745774+00:00"
},
"project_status_id": "6b9dc422-3aa9-4790-945b-ac646f8b0edb",
"project_status_code": "sample string 10",
"project_status": {
"id": "eea039ec-626d-4d6a-af58-8235551b7d27",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "e7385329-12a9-4357-b25c-0a28037d99ea",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "5d81a14e-14af-4e31-b1e9-8e2fba74c10c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "e6880eec-1133-4bd6-ae14-bd2a90cf2555",
"db_currency_id": "6f3bab12-c452-4058-bcde-35ba7bdb0ccf",
"db_language_id": "899a1755-f163-48c0-b4b5-dbcc37f3f8cb",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-20T21:42:36.0745774+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-20T21:42:36.0745774+00:00"
},
"company_id": "b51a334a-3bb0-4441-a3a6-b6ccbe66feed",
"company_code": "sample string 12",
"db_address_id": "1fcff571-c44b-4a48-80be-4e41fa8d37ad",
"db_address_code": "sample string 14",
"location": "sample string 15",
"contact_id": "edf977b7-a4d8-42f5-adff-db55626cb9f6",
"contact_reference_back_office": "sample string 17",
"owner_user_id": "bf911051-5e94-4635-a52b-aa32975a7ea1",
"name": "sample string 19",
"description": "sample string 20",
"reference_back_office": "sample string 21",
"serial_number": "sample string 22",
"barcode": "sample string 23",
"date_start_production": "2026-11-20T21:42:36.0922133+00:00",
"date_create": "2026-11-20T21:42:36.0922133+00:00",
"date_update": "2026-11-20T21:42:36.0922133+00:00",
"updated_by_user_id": "e89923bd-07fb-4e84-ac39-ca47497ac4f5",
"customer_reference": "sample string 28",
"warranty_date_until": "2026-11-20T21:42:36.0922133+00:00",
"last_standard_result_score_1": "sample string 30",
"last_standard_result_score_2": "sample string 31",
"target_standard_result_score_1": "sample string 32",
"target_standard_result_score_2": "sample string 33",
"date_built": "2026-11-20T00:00:00+00:00",
"shutdown_consequence": "sample string 35",
"id2": 36,
"nb_open_jobs": 37,
"date_next_job": "2026-11-20T21:42:36.0922133+00:00",
"date_last_job": "2026-11-20T21:42:36.0922133+00:00",
"nb_jobs_planned": 40,
"nb_jobs_tobeplanned": 41,
"nb_jobs_waitingfurtheraction": 42,
"back_office_timestamp": "2026-11-20T21:42:36.0922133+00:00",
"modified_dateutc": "2026-11-20T21:42:36.0922133+00:00",
"is_mobile_installation": true
},
"job_type_id": "989ea661-b2c3-4d85-a2eb-5f6b6c5f3984",
"job_type_code": "sample string 7",
"job_type": {
"id": "6379cdd7-d35a-462d-a7c3-5a8e8a3d6c65",
"name": "sample string 2",
"sales_organization_id": "9e3feed7-e8cb-4814-b85e-7fb62ca381af",
"description": "sample string 4",
"is_default": true,
"modified_dateutc": "2026-11-20T21:42:36.0922133+00:00",
"code": "sample string 7"
},
"job_priority_id": "7efb5de2-809b-4f6f-a7dc-f4a19c276cbd",
"job_priority_code": "sample string 9",
"job_priority": {
"id": "a39fdc82-0564-47bf-96d2-3d11261e8932",
"name": "sample string 2",
"is_default": true,
"sequence": 4,
"sales_organization_id": "a3da4b51-a070-46f1-85a0-c6b626c48a7c",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "5d81a14e-14af-4e31-b1e9-8e2fba74c10c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "e6880eec-1133-4bd6-ae14-bd2a90cf2555",
"db_currency_id": "6f3bab12-c452-4058-bcde-35ba7bdb0ccf",
"db_language_id": "899a1755-f163-48c0-b4b5-dbcc37f3f8cb",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-20T21:42:36.0745774+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-20T21:42:36.0922133+00:00"
},
"job_status_id": "497801af-0b3e-47da-95d3-7c1794e8d1fa",
"job_status_code": "sample string 11",
"db_address_id": "4bc4f195-6bcc-4118-9c57-5c2927b0a6b8",
"contact_id": "e3792e33-4539-4d9d-ace6-8e91e2373036",
"requested_by_company_id": "4c74fb60-62c7-47b3-b957-6750cdf38bd4",
"requested_by_contact_id": "96bddece-939a-4a91-850c-e05cfd27bf3e",
"reference_back_office": "sample string 16",
"name": "sample string 17",
"description": "sample string 18",
"working_sequence": 19,
"internal_memo": "sample string 20",
"prejob_information": "sample string 21",
"estimated_time": 22,
"earliest_date_plannable": "2026-11-20T21:42:36.0922133+00:00",
"due_date": "2026-11-20T21:42:36.0922133+00:00",
"date_create": "2026-11-20T21:42:36.0922133+00:00",
"date_update": "2026-11-20T21:42:36.0922133+00:00",
"date_closed": "2026-11-20T21:42:36.0922133+00:00",
"suggested_user_id": "971c8a9d-1b16-48a2-8c4d-90ff8de76049",
"suggested_user_code": "sample string 29",
"suggested_user": {
"id": "ce5b2f73-64c3-4af2-a3b3-0500859e5519",
"db_language_id": "29fdd4c0-8e69-43e2-b3ca-1e55fc42e86d",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-20T21:42:36.0922133+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "6342a162-9320-4a34-9630-45a258d8d973",
"sales_organization": {
"id": "5d81a14e-14af-4e31-b1e9-8e2fba74c10c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "e6880eec-1133-4bd6-ae14-bd2a90cf2555",
"db_currency_id": "6f3bab12-c452-4058-bcde-35ba7bdb0ccf",
"db_language_id": "899a1755-f163-48c0-b4b5-dbcc37f3f8cb",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-20T21:42:36.0745774+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "ce6a3e0c-77a7-4ef4-b6b4-4bb99e0bde85",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "a008267b-4a54-4f03-a00a-fe7cabbbf57b",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-20T21:42:36.0922133+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "353c42f7-a781-498d-bbde-ab339094b5a2"
},
"suggested_date_start": "2026-11-20T21:42:36.0922133+00:00",
"skill_id": "30cbe2f9-f73a-4905-89f1-afaaa073ef99",
"skill_code": "sample string 32",
"skill": {
"id": "e9277e44-a6f8-443a-9a2e-55d0121f3e50",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "d4b83274-b0a3-4815-b34c-fb6ed3b092fd",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "5d81a14e-14af-4e31-b1e9-8e2fba74c10c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "e6880eec-1133-4bd6-ae14-bd2a90cf2555",
"db_currency_id": "6f3bab12-c452-4058-bcde-35ba7bdb0ccf",
"db_language_id": "899a1755-f163-48c0-b4b5-dbcc37f3f8cb",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-20T21:42:36.0745774+00:00"
},
"modified_dateutc": "2026-11-20T21:42:36.0922133+00:00"
},
"customer_reference": "sample string 33",
"approval_responsible_user_id": "8241e84a-bff2-4458-9d2f-d6c79847e7ea",
"date_reported_by_company": "2026-11-20T21:42:36.0922133+00:00",
"id2": 36,
"company_id": "9f04897c-3f42-44bd-9f49-d17402ebcf9c",
"company_code": "sample string 38",
"db_address_name": "sample string 39",
"db_address_street": "sample string 40",
"db_address_street2": "sample string 41",
"db_address_street_number": "sample string 42",
"db_address_city": "sample string 43",
"db_address_zip": "sample string 44",
"db_address_db_country_id": "0a325711-28a0-4663-b122-4c0d25a24cac",
"db_address_db_country_code": "sample string 46",
"db_address_phone": "sample string 47",
"db_address_email": "sample string 48",
"db_address_latitude_decimal": 49.0,
"db_address_longitude_decimal": 50.0,
"estimated_quantity_remark": "sample string 51",
"modified_dateutc": "2026-11-20T21:42:36.0922133+00:00"
},
"work_instruction_details_id": "7d64df01-2564-480a-bb9d-1c3f36071e18",
"work_instruction_details_reference_back_office": "sample string 5",
"user_id": "de34b2ba-1697-47ee-bc7c-651faba0d5ef",
"work_instruction_action_type": "sample string 7",
"work_instruction_id": "3565d922-c84f-4529-99ac-e5dec7f45206",
"work_instruction_reference_back_office": "sample string 9",
"name": "sample string 10",
"status": "sample string 11",
"date_done": "2026-11-20T21:42:36.0922133+00:00",
"remark": "sample string 13",
"advise": "sample string 14",
"sequence": 1,
"reference_back_office": "sample string 15",
"group_name": "sample string 16",
"group_sequence": 1,
"type": "sample string 17",
"instruction_document_count": 1,
"db_report_type_id": "ff185c9d-0d8f-4c4b-94fe-578bcaefb794",
"db_report_type_name": "sample string 18",
"modified_dateutc": "2026-11-20T21:42:36.0922133+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.